View Issue Details

IDProjectCategoryView StatusLast Update
0029725LazarusPackagespublic2017-05-19 02:01
ReporterGraeme Geldenhuys Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSFreeBSD 
Product Version1.7 (SVN) 
Summary0029725: Project Groups packages has memory leaks.
DescriptionRun the IDE from the command line, use project groups. Add a few projects, do a couple of compiles. Then quit the IDE and you see the memory leak dump.

================================
TIDEProgressWindow.Notification 0
Hint: (lazarus) [TMainIDE.Destroy] B -> inherited Destroy... TMainIDE
TProjectGroupEditorForm.FormDestroy True
Hint: (lazarus) [TMainIDE.Destroy] END
Heap dump by heaptrc unit
6544447 memory blocks allocated : 4839307374/4861567040
6544445 memory blocks freed : 4839307232/4861566896
2 unfreed memory blocks : 142
True heap size : 4620288
True free heap : 4619840
Should be : 4619888
Call trace for block $00007F84D19E5C00 size 70
  $0000000000A99D22 line 230 of unixlazfileutils.inc
  $0000000000A9CEB2 line 687 of lazfileutils.pas
  $0000000001C9B515 line 558 of projectgroup.pp
  $0000000001C9B68E line 576 of projectgroup.pp
  $0000000001CA342B line 985 of projectgroupeditor.pas
  $0000000000A3481F
  $0000000000D0B30B line 246 of include/customaction.inc
  $0000000000A344BB
Call trace for block $00007F84D923BB00 size 72
  $0000000001C9BD92 line 671 of projectgroup.pp
  $0000000001C9AE72 line 493 of projectgroup.pp
  $0000000000F75092 line 547 of menuintf.pas
  $0000000000F7B60D line 1614 of menuintf.pas
  $0000000000C357B0 line 84 of include/menuitem.inc
  $0000000000C363AE line 282 of include/menuitem.inc
  $000000000092BAA1
  $0000000000CDA98B line 3628 of gtk2/gtk2proc.inc

================================
TagsNo tags attached.
Fixed in Revision54990
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

has duplicate 0031694 closedBart Broersma [project groups] (heaptrace) Massive memory leak when closing Lazarus IDE. 
related to 0031816 resolvedMichl AV on closing the IDE 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2016-02-25 16:54 Graeme Geldenhuys New Issue
2016-02-25 17:06 Mattias Gaertner Assigned To => Mattias Gaertner
2016-02-25 17:06 Mattias Gaertner Status new => assigned
2017-04-22 10:05 Juha Manninen Relationship added has duplicate 0031694
2017-05-18 23:45 Juha Manninen Relationship added related to 0031816
2017-05-19 02:01 Mattias Gaertner Fixed in Revision => 54990
2017-05-19 02:01 Mattias Gaertner LazTarget => -
2017-05-19 02:01 Mattias Gaertner Status assigned => resolved
2017-05-19 02:01 Mattias Gaertner Resolution open => fixed